Subject: RE: [seamoby] Re: New name -> Seamless to become Hidden Handover? ?

From: Kulwinder Atwal <[email-masked]>
Date: Sat, 3 Feb 2001 02:12:42 -0500

How does Real-Time Mobility sound in place of SeaMoby.  

Before commenting please read the below abstract written in 1997.  It is
un-canny how closely this abstract resembles to our current discussions.

Real-Time Behaviour in a Heterogeneous Environment?
E. Nett 
German National Research Center for Information Technology (GMD) 

Because of the availability of cheap network technology and computing power,
people and business become increasingly dependent on computing systems.
Timeliness and correctness, therefore, become the most urgently requested
system properties, often subsumed in the notion of Quality of Service.
Real-time computing is becoming an enabling technology for many important
applications such as flexible manufacturing, multimedia, robotics and
process control. Traditionally, real-time systems have been realized as
isolated, embedded systems, dedicated to provide the requested service for
single, dedicated applications like automatic brake systems in vehicles or
control systems for nuclear plants. Unfortunately, the solutions provided
there do no longer suffice for more complex systems as they are encountered
in many of the above mentioned applications. Their most distinguishing
requirement is the need of the computing system to dynamically adapt to
changing conditions. Little work has been done on (operating) system
mechanisms and algorithms, flexible enough to cope with the new
requirements. 

Keywords: real-time systems, quality of service, scheduling, responsiveness 

Proceedings of the 3rd Workshop on Object-Oriented Real-Time Dependable
Systems - (WORDS '97) 
Copyright (c) 1997 Institute of Electrical and Electronics Engineers, Inc.
All rights reserved.

And Real-Time handover in place of Hidden or Seamless.  

Real-time system:  A system whose operation depends not just on the
correctness but also the timeliness of the behaviour.

Real-time handover:  A handover where the result depends not just on the
correctness but also the timeliness of the handover.

Real-time mobility:  The movement of micro-flows for mobile devices where
the movement depends not just on the correctness but also the timeliness of
the handover. 

I have the same reservations regarding "planned", and "unplanned" that
others have stated.

-Kulwinder.

---

From: Kulwinder Atwal <[email-masked]>
Date: Sat, 3 Feb 2001 02:12:42 -0500

-Kulwinder.

---

From: "Gary Kenward" <[email-masked]>
Date: Sun, 4 Feb 2001 13:58:44 -0500

> -----Original Message-----
> From: Phil Neumiller [mailto:[email-masked]]
> Sent: Friday, February 02, 2001 9:12 PM
> To: Kenward, Gary [WDLN2:AN10:EXCH]
> Cc: 'Jukka Manner'; Phil_Neumiller; seamoby
> Subject: Re: [seamoby] Re: New name -> Seamless to become Hidden
> Handover? ?
> 
> 
> > Gary Kenward wrote:
> > >
> > (these are the rough thresholds where TCP starts to act up)
> 
> This is interesting Gary.  As an aside, what would happen if
> we tunnelled TCP and UDP over SCTP to avoid these strange 
> things?  (I KNOW ITS SOLUTION SPACE!!!!)

And don't forget MPLS...RTP=>UDP=>SCTP=>IP=>MPLS=>?
And people complain about the cell tax...;^}

> 
> > 
> > HiHo, HiHo, it's off to work we go...
> > 
> > I feel like I'm in a Disney movie. We don't need a new term.
> > seamless works fine enough.
> 
> <pdn>
> Yeah, I guess its time to kill the Disney references (even though
> I could could have claimed the "Grumpy" dwarf name).  Seamless
> is overloaded, but we might as well build a black hole for it
> here in SeaMoby.  Perhaps we can get the MIP guys to stop using
> the term sooooo very much??? :-)  They seem to use it like a
> marketing term for their fast handoff work which in the SeaMoby
> sense is nowhere near Seamless, go figure.
> </pdn>

Ok, how about Proactive Handoff?

> 
> > 
> > > > the IP layer's network interface changes, i.e.. a HO from a
> > > 3G network to a WLAN,
> > > > the HO is noticed, at least the user will see this.
> > > >
> > > > pdn>If its a vertical HO, and the COA must change, it is no
> > 
> > No. 
> pdn>Yes... I should have not added the comma, I meant 
> vertical + COA change
> pdn>not vertical => COA change.
> 
> >As I pointed out to Jukka, a COA will change only if the
> > veridical handoff is inter-network.
> pdn>Of course.  and there are bound to be lots of both types in the
> pdn>near future
> 
> >>>but CT
> > > team is definitely
> 
> pdn>Yes I did indicate this.
> 
> > >
> > >       But isn't an inter-technology HO, that still maintains
> > > the context of
> > > the MH a HiHo?
> pdn>Yeah but HiHo is dead, lets call it CMobyHO or seamoby HO or
> pdn>something.  PLEASE SOMEBODY GIVE US AN ACRONYM for SEAMOBY
> pdn>MICROMOBILITY HANDOVER.  HiHo is too flaky.  THO is not PC.
> pdn>CMobHO?  CMbyHo?  IDHO (intra-domain handover)???????????

ProHo?

> 
> > > If we do a HO from some 3G tech to WLAN and
> > > keep the QoS,
> > > wouldn't that still be a HiHo? Or do we need a new term to
> > > define that HO:
> > >
> > > "Context-aware" HO: context+seamless+including inter-tech ?
> 
> No.  Lets just have uno name for the seamoby HO.  We let MIP 
> folks do their own thing as far as naming goes when CT is involved.
>  
> > Put another way, we need to describe the complex problem space by
> > identifying and defining a sparse set of independent definitions.
> 
> So, the definitions provide a "basis" for our space.  The problem
> statements our set of theorems.  Gary, do you have a mathematics
> background per chance?  Often your verbage strikes me as that of
> a mathematician....

Hmmm. Thanks for the complement...

> TNX,
> -pdn (N9FCW)

Gary

---

From: "Gary Kenward" <[email-masked]>
Date: Mon, 5 Feb 2001 11:49:08 -0500

> From: Patrice Calhoun [mailto:[email-masked]]
> Sent: Monday, February 05, 2001 8:32 AM
> To: Phil Neumiller
> Cc: Kenward, Gary [WDLN2:AN10:EXCH]; 'Jukka Manner'; Phil_Neumiller;
> seamoby
> Tunneling a reliable transport over a reliable transport is 
> evil. Let's not go
> there...
> 
> Having participated heavily in the MIP work, I have *never* 
> heard anyone use
> the term seamless. The only term that I know of that was used is fast.

Interesting, Pat. If I recall correctly, seamless is mentioned in Charlie
Perkin's fast handoff draft, as being fast + smooth. This is where
the debate started, I believe, as I claim that seamless is more then
smooth. I also don't believe that the fast handoff draft intended to
provide a normative reference; I would suspect that the definitions 
were intended as a *starting point* for solving real problems (something
we in Seamoby should consider carefully). One can simply look at what
has happened with FH in MIP, and see that the original definition is
of secondary importance to finding a working solution.

So, seamless it is.

Gary
> PatC

---

From: [email-masked]
Date: Mon, 5 Feb 2001 11:41:35 -0600

---------------------- Forwarded by Phil Neumiller/MW/US/3Com on 02/05/2001
11:34 AM ---------------------------

Phil Neumiller/MW/US/3Com
02/05/2001 11:41 AM

Sent by:  Phil Neumiller   -  Network Systems Architect, RCG

To:   Patrice Calhoun <[email-masked]>
cc:   [email-masked]
Subject:  Re: [seamoby] Re: New name -> Seamless to become Hidden Handover? ?
      (Document link: Database 'Phil Neumiller', View '($Sent)')

Please respond to Patrice Calhoun <[email-masked]>
See what I mean, now?

pdn>You almost have the right end-to-end argument and I do
pdn>understand that it makes complete sense when talking about
pdn>routers.  So...
pdn>
pdn>YES.  However, most radio links already do retransmits for
pdn>end-to-end reliable protocols take RLP in cdma2000 or RLC
pdn>in UMTS your favorite 3G standards I believe.  Neither of
pdn>these can provide multi-homing like SCTP.  Suppose that
pdn>you have a bunch of bumble bees hovering around the hive
pdn>and each of them is a router.

pdn>Do you see what I mean now???

Phil

---

From: "Gary Kenward" <[email-masked]>
Date: Mon, 5 Feb 2001 13:40:48 -0500

Phil:

  RLP retransmitting over a link is not the same as SCTP retransmitting
end to end. The whole argument for link layer transmissions is based
upon taking advantage of knowledge of the link layer behaviour and
minimizing
latency (there's a PILC draft on this topic, somewhere).

Gary

> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, February 05, 2001 12:41 PM
> To: Patrice Calhoun
> Cc: [email-masked]
> pdn>in UMTS your favourite 3G standards I believe.  Neither of

---

From: "Dana L. Blair" <[email-masked]>
Date: Mon, 05 Feb 2001 14:36:16 -0500

At 01:40 PM 2/5/01 -0500, Gary Kenward wrote: 

> upon taking advantage of knowledge of the link layer behaviour and minimizing 

Folks involved in integrating cellular access links ( or any access links)
with IP should really take a look at the drafts at the Performance Implications
of Link Characteristicss (pilc) IETF Working Group web page.  These drafts
have been very educational for me.

Scroll down to the internet drafts section of the following URL:
http://www.ietf.org/html.charters/pilc-charter.html

thanks,
Dana

> > From: [email-masked]
> [<mailto:[email-masked]>mailto:[email-masked]]

---

From: Kulwinder Atwal <[email-masked]>
Date: Tue, 6 Feb 2001 11:42:12 -0500

It was a general statement.  In no way am I suggested it.

My point is move to SCTP/IP.  TCP/SCTP will not work.

- Kulwinder.

> Sent: Tuesday, February 06, 2001 8:48 AM
> To: Kulwinder Atwal
> Cc: 'Patrice Calhoun'; [email-masked]; [email-masked]
> Subject: RE: [seamoby] Re: New name -> Seamless to become Hidden
> Handover? ?
> 
> 
> > I suppose one could provide an API on either end that 
> converts TCP packets
> > to SCTP
> > before transmission, but there is no gauranttee the other 
> side will do the
> > same.
> > If one is going to do this, one may ask why not just put 
> the effort into
> > moving to 
> > SCTP instead?
> 
> No gateways please. Breaking the end-to-end model is not on 
> our charter.
> 
> I really do not understand how this thread has anything to do 
> with seamby, btw.
>  PatC
>